---
---
---

My personal net worth

---

```dataviewjs
// Get all pages from subfolder: notes
const currentFilePath = dv.current().file.path; 
const currentFolder = currentFilePath.substring(0, currentFilePath.lastIndexOf("/")); 

const folderName = "notes"; // Replace with your folder name 
const targetFolder = currentFolder + "/" + folderName; 

const pages = dv.pages(`"${targetFolder}"`).sort(p => p.date, 'asc'); 

// Extract data from pages
const dateNames   = pages.map(p => p.date.toString().substring(0, 7)).values
const netWorth    = pages.map(p => p["net-worth"]).values
const assets      = pages.map(p => p["assets"]).values
const liabilities = pages.map(p => p["liabilities"]).values

// Create and render chart
const chartData = { 
	type: 'line', 
	data: { 
		labels: dateNames, 
		datasets: [
			{ 
				label: 'Net worth', 
				data: netWorth, 
				backgroundColor: [ 'rgba(33, 150, 243, 0.2)' ], 
				borderColor: [ 'rgba(33, 150, 243, 1)' ], 
				borderWidth: 1, 
			},
			{ 
				label: 'Assets', 
				data: assets, 
				backgroundColor: [ 'rgba(76, 175, 80, 0.2)' ], 
				borderColor: [ 'rgba(76, 175, 80, 1)' ], 
				borderWidth: 1, 
			},
			{ 
				label: 'Liabilities', 
				data: liabilities, 
				backgroundColor: [ 'rgba(244, 67, 54, 0.2)' ], 
				borderColor: [ 'rgba(244, 67, 54, 1)' ], 
				borderWidth: 1, 
			}
		] 
	} 
} 
window.renderChart(chartData, this.container)

// Create and render the table 
dv.table( 
  ["Date", "Assets", "Liabilities", "Net Worth"], 
  pages.values.toReversed().map(
    p => [ 
      p.date, 
      p.assets, 
      p.liabilities, 
      p["net-worth"] 
    ]
  )
);

```

---